> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/optimization-packs/gpu-pack/gpu.md).

# GPU

This page describes the Optimization Pack for the component type GPU.

## Metrics

| Metric                        | Unit                  | Description                              |
| ----------------------------- | --------------------- | ---------------------------------------- |
| gpu\_util                     | percent               | GPU utilization                          |
| gpu\_sm\_active               | percent               | GPU streaming multiprocessor utilization |
| gpu\_sm\_occupancy            | percent               | GPU streaming multiprocessor occupancy   |
| gpu\_tensor\_core\_active     | percent               | GPU tensor core utilization              |
| gpu\_dram\_active             | percent               | GPU DRAM utilization                     |
| gpu\_fb\_used                 | megabytes             | GPU framebuffer memory used              |
| gpu\_fb\_total                | megabytes             | GPU framebuffer memory total             |
| gpu\_power\_usage             | watt                  | GPU power usage                          |
| gpu\_power\_limit             | watt                  | GPU power limit                          |
| gpu\_temp                     | celsius               | GPU temperature                          |
| gpu\_memory\_temp             | celsius               | GPU memory temperature                   |
| gpu\_power\_violation\_rate   | violations per second | GPU power violation rate                 |
| gpu\_thermal\_violation\_rate | violations per second | GPU thermal violation rate               |
| gpu\_pcie\_replay\_rate       | replays per second    | GPU PCIe replay rate                     |
| gpu\_fp16\_pipe\_active       | percent               | GPU FP16 (non-tensor) pipe activity      |
| gpu\_fp32\_pipe\_active       | percent               | GPU FP32 (non-tensor) pipe activity      |

## Parameters

The GPU component type exposes metrics only (for observation and for defining constraints or optimization goals); it does not provide tunable parameters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akamas.io/akamas-docs/reference/optimization-packs/gpu-pack/gpu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
